UR-UPDATE-CLASS-DIAGRAM(1p)

NAME
ur update class-diagram - Update an Umlet diagram based on the current class definitions

VERSION
This document describes ur update class-diagram version 0.29.

SYNOPSIS
ur update class-diagram --file=? [--data-source=?] [--depth=?] [--include-ur-object] [--show-attributes] [--show-methods] [INITIAL-NAME]

REQUIRED ARGUMENTS

file  String
    Pathname of the Umlet (.uxf) file

OPTIONAL ARGUMENTS

data-source  String
    Which datasource to use

depth  Integer
    Max distance of related classes to include. Default is 1. 0 means show only the named class(es), -1 means to include everything

include-ur-object  Boolean
    Include UR::Object and UR::Entity in the diagram (default = no)

    Default value 'false' (--noinclude-ur-object) if not specified

noinclude-ur-object  Boolean
    Make include-ur-object 'false'

show-attributes  Boolean
    Include class attributes in the diagram

    Default value 'true' if not specified

noshow-attributes  Boolean
    Make show-attributes 'false'

show-methods  Boolean
    Include methods in the diagram (not implemented yet

    Default value 'false' (--noshow-methods) if not specified

noshow-methods  Boolean
    Make show-methods 'false'

INITIAL-NAME
    (undocumented)

DESCRIPTION:
  Creates a new Umlet diagram, or updates an existing diagram.  Bare arguments
  are taken as class names to include in the diagram.  Other classes may be
  included in the diagram based on their distance from the names classes
  and the --depth parameter.

  If an existing file is being updated, the position of existing elements
  will not change.